# Crow: crow::websocket::connection Struct Reference

crow::websocket::connection Struct Referenceabstract

A base class for websocket connection. More...

`#include <websocket.h>`

Inheritance diagram for crow::websocket::connection:

## Public Member Functions

virtual void | send_binary (std::string msg)=0
virtual void | send_text (std::string msg)=0
virtual void | send_ping (std::string msg)=0
virtual void | send_pong (std::string msg)=0
virtual void | close (std::string const &msg="quit")=0
virtual std::string | get_remote_ip ()=0
void | userdata (void *u)
void * | userdata ()

## Detailed Description

A base class for websocket connection.

The documentation for this struct was generated from the following file:

- include/crow/websocket.h